#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<algorithm>
#include<iostream>
using namespace std;
main()
{
    string A,B,C;
    string x[50];
    cin>>A>>B>>C;
    x[0]=A+B+C;
    x[1]=A+C+B;
    x[2]=B+A+C;
    x[3]=B+C+A;
    x[4]=C+A+B;
    x[5]=C+B+A;
    sort(x,x+6);
    cout<<x[5];

}